//---------------------------------------------------------------------------

#ifndef SavePointH
#define SavePointH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <DB.hpp>
#include <DBTables.hpp>
//---------------------------------------------------------------------------
class TSavePointForm : public TForm
{
__published:	// IDE-managed Components
        TLabeledEdit *SBarEd;
        TLabeledEdit *SPointEd;
        TQuery *Query1;
        TDataSource *DataSource1;
        TLabeledEdit *STotalEd;
        TRadioGroup *RG;
        TButton *SOkBt;
        TLabel *Label1;
        TComboBox *ComboBox1;
        TLabel *Label2;
        TLabeledEdit *SBuyEd;
        void __fastcall SBarEdKeyPress(TObject *Sender, char &Key);
        void __fastcall SOkBtClick(TObject *Sender);
        void __fastcall RGClick(TObject *Sender);
        void __fastcall FormActivate(TObject *Sender);
        void __fastcall ComboBox1Change(TObject *Sender);
        void __fastcall SBarEdChange(TObject *Sender);
        void __fastcall SBuyEdKeyPress(TObject *Sender, char &Key);
private:	// User declarations
public:		// User declarations
        __fastcall TSavePointForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TSavePointForm *SavePointForm;
//---------------------------------------------------------------------------
#endif
